Bug 119402 - kudzu causing kernel opps and then just sits after fresh install on poth i386 & x86_64 FC 2 test2
kudzu causing kernel opps and then just sits after fresh install on poth i386...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-29 22:58 EST by Jerone Young
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-03 03:12:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerone Young 2004-03-29 22:58:29 EST
Description of problem:
After a fresh install of Fedora 2 test 2, when I boot up it is just
stuck at "updating /etc/fstab". So I installed again, but this time
booted into init 3 intead of 5 and notice a kernel oops, here is what
I pull booting form serial console (x86_64 FC2 test 2):

INIT: Entering runlevel: 3
Entering non-interactive startup
Checking for new hardware----------- [cut here ] --------- [please
bite here ] ---------
Kernel BUG at generic:664
invalid operand: 0000 [1]
CPU 0
Pid: 895, comm: modprobe Not tainted
RIP: 0010:[<ffffffff801cc059>] <ffffffff801cc059>{remove_proc_entry+197}
RSP: 0018:000001003e257ec8  EFLAGS: 00010206
RAX: 0000000000000001 RBX: 000001003f7af1a0 RCX: 0000000000000000
RDX: 000001003f7af1a0 RSI: 000001003f7af22f RDI: 000001003f7af1a0
RBP: 00000100024689a8 R08: 0000000000000000 R09: 000001003f9d0000
R10: 0000000000000000 R11: 0000000000000000 R12: 000001003f7af228
R13: 0000000000000007 R14: 000000000040e9a0 R15: 00000000005387e8
FS:  0000002a958624c0(0000) GS:ffffffff804ab600(0000)
knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000002a956e4750 CR3: 0000000000101000 CR4: 00000000000006e0
Process modprobe (pid: 895, stackpage=1003fd87da0)
Stack: 00000000005387e8 0000010002468948 000001003f7af228 ffffffffa0151680
       0000000000000000 ffffffff803e82c0 0000000000000080 ffffffff801551b3
       0000000000000001 0000000037ff8b38
Call Trace:<ffffffff801551b3>{sys_delete_module+281}
<ffffffff80176549>{do_munmap+639}
       <ffffffff8017659b>{sys_munmap+69}
<ffffffff80111ef6>{system_call+126}
                                                                     
                      
                                                                     
                      
Code: 0f 0b 73 b5 32 80 ff ff ff ff 98 02 8b 83 80 00 00 00 85 c0
RIP <ffffffff801cc059>{remove_proc_entry+197} RSP <000001003e257ec8>
  [  OK  ]
Updating /etc/fstab

So basically if I'm mr average user my system is useless, and just
stays at "updating fstab" point after booting it up. But if I go into
interactive mode and skip kudzu, everything goes through fine, execpt
my cdrom never gets setup (not sure what else may have gotten missed)
so I have to manually do it (make /dev/cdrom symlink, make
/mnt/cdrom/, make the fstab entry)...

This happens on both x86_64 FC 2 test 2 and i386 FC 2 test 2.
I'm running a 
Athlon 64 3200+
Asus K8V
Geforce FX 5900
1 GiG RAM (2x512MB Crucial)
Comment 1 Jerone Young 2004-03-29 23:01:39 EST
Also just to add, if you skip kudzu the first time, and run it
manually after the first bootup, it doesn't seem to have this problem
at bootup anymore...but it fails to setup anything that it didn't the
first time (my cdrom).
Comment 2 Jerone Young 2004-03-29 23:27:11 EST
My last post was false ( I had cut kudzu off on boot)....it hangs
everytime on boot at "Updating /etc/fstab".
Comment 3 Jerone Young 2004-04-03 03:12:26 EST
April 2nd development tree seems to resolve this issue.
Comment 4 Daniel Davidson 2004-04-08 10:28:45 EDT
Could you be more specific as to what you did to solve this.  I am
having the same problem (basically have the same system) and now am
running with kudzu out of rc5.d.  I have tried updated to rawhide
kudzu-1.1.54-1 and that did not seem to fix it.

thanks

Note You need to log in before you can comment on or make changes to this bug.